# Uses of Class io.dapr.workflows.saga.Saga (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.workflows.saga, class: Saga

# Uses of Class
io.dapr.workflows.saga.Saga

Packages that use Saga
Package
Description
io.dapr.workflows
io.dapr.workflows.saga

## Uses of Saga in io.dapr.workflows

Constructors in io.dapr.workflows with parameters of type Saga
Modifier
Constructor
Description
``
`DaprWorkflowContextImpl(com.microsoft.durabletask.TaskOrchestrationContext context, Saga saga)`
``
`DaprWorkflowContextImpl(com.microsoft.durabletask.TaskOrchestrationContext context, org.slf4j.Logger logger, Saga saga)`
Constructor for DaprWorkflowContextImpl.

## Uses of Saga in io.dapr.workflows.saga

Constructors in io.dapr.workflows.saga with parameters of type Saga
Modifier
Constructor
Description
``
`DaprSagaContextImpl(Saga saga, WorkflowContext workflowContext)`
Constructor to build up instance.